@ECHO OFF
set Line1=This tool is intended as a quick way to disabled or enable the RAID consistency check.
set Line2=Advanced settings can be accessed via the RAID console menu on the Desktop if required.
set Title=              AVAGO RAID CONSISTENCY CHECK TOOL
set warn=THIS TOOL MUST BE RUN AS AN ADMINISTRATOR! - IF UNSURE PLEASE EXIT AND RESTART

echo %Title%
echo:
echo %Line1%
echo %Line2%
echo:
echo %warn%
echo:


pause

:BEGIN
CLS
echo:
echo:


CHOICE /N /C:123 /M "RAID CONSISTENCY CHECK (1 = ON, 2 = OFF, or 3 = CHECK)"%1
IF ERRORLEVEL ==3 GOTO THREE
IF ERRORLEVEL ==2 GOTO TWO
IF ERRORLEVEL ==1 GOTO ONE
GOTO END
:THREE
ECHO YOU HAVE SELECTED TO SHOW THE CURRENT STATUS OF THE CONSISTENCY CHECK
echo:
pause
cd "%~dp0"
storcli64.exe /c0 show cc
GOTO END
:TWO
ECHO YOU HAVE SELECTED OFF. THIS CAN HELP WITH NVR RESOURCE PROBLEMS
echo:
pause
cd "%~dp0"
storcli64.exe /c0 set cc=off
GOTO END
:ONE
ECHO YOU HAVE SELECTED ON. RUNNING THIS CHECK CAN HAVE AN IMPACT ON THE NVR PERFORMANCE
echo:
pause

@echo off

set /p Input=Set the Scheduler Start Date yyyy/mm/dd: 
cd "%~dp0"
storcli64.exe /c0 set cc=seq delay=1344 starttime=%input% 01

:END



storcli64.exe /c0 show cc




pause